[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[Bug 222013] twisted-dropin-cache scriptlet exits 255 on some package removals



Please do not reply directly to this email. All additional
comments should be made in the comments box of this bug.


https://bugzilla.redhat.com/show_bug.cgi?id=222013


Matthias Saou <matthias rpmforge net> changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
             Status|NEW                         |CLOSED
                 CC|                            |matthias rpmforge net
            Version|9                           |rawhide
   Fixed In Version|                            |8.1.0-2
         Resolution|                            |RAWHIDE




--- Comment #8 from Matthias Saou <matthias rpmforge net>  2008-12-23 16:36:59 EDT ---
I've seen the same problems as what has been detailed here earlier, namely that
even with the correct "Requires(foo):" lines, the core package still gets
removed before the plugin packages, which causes errors.

So in the 8.1.0 packages I've just pushed to rawhide, I've replaced the
existing scriplets in the plugin packages with the following, which should fix
the problem :

%post
if [ -x %{_libexecdir}/twisted-dropin-cache ]; then
    %{_libexecdir}/twisted-dropin-cache || :
fi

%postun
if [ -x %{_libexecdir}/twisted-dropin-cache ]; then
    %{_libexecdir}/twisted-dropin-cache || :
fi

It's kind of hack-ish, but should do the trick. Note that I've also updated the
core package, which now removes the "dropin.cache" file upon removal.

-- 
Configure bugmail: https://bugzilla.redhat.com/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are on the CC list for the bug.


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]